Page MenuHomePhabricator

Deploy the MachineVision extension to production
Open, HighPublic

Description

Task tracking requirements to deploying the new machine vision middleware extension to production.

https://www.mediawiki.org/wiki/Review_queue

  • At least three weeks prior to target deployment date, add to make-wmf-branch
  • Deploy to beta cluster T227348 (done)
  • DBA review T227355 (done)
  • Security readiness review T227346 (complete, follow-up tasks created, no deployment blockers identified)
  • Performance review T230813 (complete)
  • Release Manager signoff

Target deployment date: November 5, 2019 (testcommonswiki), November 6, 2019 (commonswiki)

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable MachineVision on commonswiki
operations/mediawiki-config : masterConfigure and enable MachineVision on testcommonswiki
operations/puppet : productionMachineVision: Update filtered_tables.txt

Event Timeline

Mholloway created this task.Jul 5 2019, 5:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2019, 5:14 PM
Mholloway renamed this task from Deploy machine vision middleware to production to Deploy the MachineVision extension to production.Aug 20 2019, 3:12 PM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Aug 31 2019, 5:45 PM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Sep 10 2019, 12:34 AM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Sep 10 2019, 12:40 AM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Sep 10 2019, 1:08 AM
Mholloway triaged this task as Medium priority.Sep 10 2019, 1:22 AM

Hi @greg, I'm wondering, is there any difference between the requirements for enabling a new extension on a production test wiki and a "real" production wiki? We are hoping to enable this on testcommonswiki ASAP, but not necessarily full commonswiki until closer to the feature launch date.

Going by past experience, DBA and performance reviews will go pretty quickly, but security review will take some time. On the linked security readiness review ticket, they indicate that they'll probably only be able to do a basic review in the next 30 days, and will take longer to look in-depth. (Note, however, that I previously requested a security concept review for the extension, in which it was judged to be low-risk.) Is that sufficient for launching to testcommonswiki and/or commonswiki?

The target date for launching the Computer-Aided Tagging feature is the end of October. The October 9 deadline here and in the linked tickets is to allow a few weeks on testcommonswiki and commonswiki for testing before launch.

Thank you!

Mholloway updated the task description. (Show Details)Sep 10 2019, 9:51 PM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)
Mholloway raised the priority of this task from Medium to High.Oct 24 2019, 12:49 AM
greg added a comment.Oct 24 2019, 4:54 AM

Hi @greg, I'm wondering, is there any difference between the requirements for enabling a new extension on a production test wiki and a "real" production wiki? We are hoping to enable this on testcommonswiki ASAP, but not necessarily full commonswiki until closer to the feature launch date.
Going by past experience, DBA and performance reviews will go pretty quickly, but security review will take some time. On the linked security readiness review ticket, they indicate that they'll probably only be able to do a basic review in the next 30 days, and will take longer to look in-depth. (Note, however, that I previously requested a security concept review for the extension, in which it was judged to be low-risk.) Is that sufficient for launching to testcommonswiki and/or commonswiki?
The target date for launching the Computer-Aided Tagging feature is the end of October. The October 9 deadline here and in the linked tickets is to allow a few weeks on testcommonswiki and commonswiki for testing before launch.
Thank you!

Hi, please do ping out of band if I don't respond on Phab in a reasonable time.

tl;dr: production is production, same process.

Mholloway updated the task description. (Show Details)Nov 2 2019, 12:25 AM

Hi, please do ping out of band if I don't respond on Phab in a reasonable time.
tl;dr: production is production, same process.

Yeah, that's what I figured the answer was anyhow. :)

We are aiming to enable the extension in production next week, after wrapping up the remaining follow-ups from security and performance review on Monday. (It will be hidden behind a feature flag and invisible to all but a few users with special permissions for user testing for a couple of weeks after that.) Do we have your signoff?

Mholloway updated the task description. (Show Details)Nov 5 2019, 2:40 PM
Mholloway claimed this task.Nov 5 2019, 3:25 PM
Mholloway updated the task description. (Show Details)
greg added a comment.Nov 5 2019, 4:01 PM

Hi, please do ping out of band if I don't respond on Phab in a reasonable time.
tl;dr: production is production, same process.

Yeah, that's what I figured the answer was anyhow. :)
We are aiming to enable the extension in production next week, after wrapping up the remaining follow-ups from security and performance review on Monday. (It will be hidden behind a feature flag and invisible to all but a few users with special permissions for user testing for a couple of weeks after that.) Do we have your signoff?

Looks good. Thanks.

Mholloway updated the task description. (Show Details)Nov 5 2019, 4:54 PM

Change 548869 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Configure and enable MachineVision on testcommonswiki

https://gerrit.wikimedia.org/r/548869

Change 548886 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/puppet@production] MachineVision: Update filtered_tables.txt

https://gerrit.wikimedia.org/r/548886

Change 548886 merged by Jcrespo:
[operations/puppet@production] MachineVision: Update filtered_tables.txt

https://gerrit.wikimedia.org/r/548886

Change 548869 merged by Mholloway:
[operations/mediawiki-config@master] Configure and enable MachineVision on testcommonswiki

https://gerrit.wikimedia.org/r/548869

Mentioned in SAL (#wikimedia-operations) [2019-11-06T15:52:21Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Configure MachineVision and enable on testcommonswiki (T227349) (duration: 01m 00s)

Mentioned in SAL (#wikimedia-operations) [2019-11-06T15:58:45Z] <mdholloway> created MachineVision tables on testcommonswiki (T227349)

Mentioned in SAL (#wikimedia-operations) [2019-11-06T16:11:19Z] <mdholloway> MachineVision: Imported Freebase to Wikidata ID mappings on testcommonswiki (T227349)

Change 549216 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Enable MachineVision on commonswiki

https://gerrit.wikimedia.org/r/549216

Change 549216 merged by Mholloway:
[operations/mediawiki-config@master] Enable MachineVision on commonswiki

https://gerrit.wikimedia.org/r/549216

Mentioned in SAL (#wikimedia-operations) [2019-11-06T22:29:05Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable MachineVision on commonswiki (T227349) (duration: 01m 00s)

Mentioned in SAL (#wikimedia-operations) [2019-11-06T22:36:53Z] <mdholloway> MachineVision: Imported Freebase to Wikidata ID mappings on commonswiki (T227349)

Mentioned in SAL (#wikimedia-operations) [2019-11-07T17:25:28Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/MachineVision: Drop currently unsupported external dependencies (T227349) (duration: 05m 19s)